Search the Community
Showing results for tags 'text wrap'.
-
Please help me with this; While picking points, the data/text in the command line gets wrapped even though there is more space. (defun c:nanpt () (vl-load-com) (princ "\nStakeout Point by: Nan Glase (2024-12-24)") (princ "\nEnter \"NANPT\" to run.") (setq points '()) (setq polyline nil) ; Variable to hold the polyline object ;; Save the current DIMZIN value and set it to 0 to prevent suppressing zeros (setq old-dimzin (getvar "DIMZIN")) (setvar "DIMZIN" 0) ; Set DIMZIN to 0 to prevent suppressing trailing zeros ;; Start the polyline command (command "_.PLINE") (while t (setq pt (getpoint (if (and (not (null points))) (strcat "\nSelect a point (or press Enter to finish): " "Northing: " (rtos (cadr (last points)) 2 3) " Easting: " (rtos (car (last points)) 2 3)) "\nSelect a point (or press Enter to finish): "))) (if (null pt) (progn ;; Finish the polyline if at least one point was selected (if (> (length points) 0) (progn (command "") ; End the polyline command (setq polyline (entlast)) ; Get the last entity created (the polyline) ;; Save points to a file (setq data '()) (setq i 1) (foreach p points (setq line (strcat "S" (itoa i) ", " (rtos (cadr p) 2 3) ", " (rtos (car p) 2 3) ", 0")) (setq data (append data (list line))) (setq i (1+ i)) ) (setq formattedData (apply 'strcat (mapcar (function (lambda (x) (strcat x "\n"))) data))) (setq tmpfile (vl-file-syst-write (strcat (getenv "TEMP") "\\Nan_stakeoutpoint.txt") formattedData)) (startapp "notepad.exe" tmpfile) ) (princ "\nPlease select at least one point before finishing.") ) ;; If polyline exists, erase it (if polyline (progn (command "_.ERASE" polyline "") ; Erase the polyline (setq polyline nil) ; Clear polyline reference ) ) (setq points nil) ; Clear points list ) (progn ;; Append the point to the list (setq points (append points (list pt))) ; Store the point directly (command pt) ; Add the point to the polyline ) ) ) ;; Restore the original DIMZIN value (setvar "DIMZIN" old-dimzin) (princ) ) (defun vl-file-syst-write (filename content) (setq file (open filename "w")) (if file (progn (write-line content file) (close file) (princ (strcat "\nData has been written to Notepad. " filename)) ) (princ "\nError opening file for writing.") ) filename ) (princ "\nStakeout Point by: Nan Glase (2024-12-31)") (princ "\nEnter \"NANPT\" to run.")
- 8 replies
-
- command
- command line
-
(and 2 more)
Tagged with: